Package io.vertx.openapi.validation.analyser

## Class MultipartFormAnalyser

- java.lang.Object
- - io.vertx.openapi.validation.analyser.ContentAnalyser
  - - io.vertx.openapi.validation.analyser.MultipartFormAnalyser

-     public class MultipartFormAnalyser
      extends ContentAnalyser

- - ### Field Summary

    - ### Fields inherited from class io.vertx.openapi.validation.analyser.ContentAnalyser

      `content, contentType, requestOrResponse`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultipartFormAnalyser​(String contentType, Buffer content, ValidationContext context)` | Creates a new content analyser.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkSyntacticalCorrectness()` | Checks if the content is syntactically correct.
    `static String` | `extractBoundary​(String contentType)` |
    `Object` | `transform()` | Transforms the content into a format that can be validated by the `RequestValidator`, or `ResponseValidator`.

    - ### Methods inherited from class io.vertx.openapi.validation.analyser.ContentAnalyser

      `buildSyntaxException, decodeJsonContent, getContentAnalyser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipartFormAnalyser

          public MultipartFormAnalyser​(String contentType,
                                       Buffer content,
                                       ValidationContext context)

      Creates a new content analyser.
      Parameters:
        `contentType` - the content type.
        `content` - the content to be analysed.
        `context` - the context in which the content is used.

  - ### Method Detail

    - #### extractBoundary

          public static String extractBoundary​(String contentType)

    - #### checkSyntacticalCorrectness

          public void checkSyntacticalCorrectness()

      Description copied from class: `ContentAnalyser`
      Checks if the content is syntactically correct.

      Throws a `ValidatorException` if the content is syntactically incorrect.

      Specified by:
        `checkSyntacticalCorrectness` in class `ContentAnalyser`

    - #### transform

          public Object transform()

      Description copied from class: `ContentAnalyser`
      Transforms the content into a format that can be validated by the `RequestValidator`, or `ResponseValidator`.

      Throws a `ValidatorException` if the content can't be transformed.

      Specified by:
        `transform` in class `ContentAnalyser`
      Returns:
        the transformed content.